# scale-code

USB ID: `1446:6a73`

A CLI utility in Go to read weight data from a Stamps.com USB postal scale via HID.

Originally developed to revive old electronics gifted by a family member. This project documents the quirks, bias, and calibration of the device for others interested in low-cost hardware reuse.

---

## Usage

```sh
go build -o scale-code
sudo ./scale-code
```

The program continuously polls the scale and displays the weight in ounces, rounded to the nearest 0.1 oz.

You must run it as root (`sudo`) or use a proper udev rule to grant access to `/dev/hidraw` devices.

---

## Calibration

### Observed Bias:

```
W  = Stamps.com scale
WT = Taylor digital scale (Walmart, new)

Test object: consistent, arbitrary small item

W1: 1.9
W2: 1.9
W3: 2.0

WT1: 2.0
WT2: 2.0
WT3: 2.0
```

### Adjustment:

A linear correction factor of `0.952` is applied to compensate for the 0.1 oz low bias, yielding more accurate readings.

---

## License

MIT License © firebadnofire 2025

FOSS, for the preservation of still-functional hardware and the freedom to study it.
